## play.it-platform 2025-07-01

=== debian/changelog ===
play.it-platform (2025-07-01-1) unstable; urgency=medium

  * Initial release. (Closes: #1108466)

 -- Antoine Le Gonidec <debian@vv221.fr>  Tue, 01 Jul 2025 01:33:43 +0200
