=== debian/control ===
Source: play.it-platform
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Antoine Le Gonidec <debian@vv221.fr>,
Build-Depends:
 debhelper-compat (= 13),
 play.it <!nocheck>,
 shellcheck <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://git.dotslashplay.it/games-platform/about/
Vcs-Git: https://salsa.debian.org/games-team/play.it-platform.git
Vcs-Browser: https://salsa.debian.org/games-team/play.it-platform
Rules-Requires-Root: no

Package: play.it-platform
Architecture: all
Depends:
 play.it (>= 2.25.4-1),
 ${misc:Depends},
Suggests:
 games-platform,
Description: ./play.it collection - Platform games
 play.it is a free software building native packages from installers for
 Windows or Linux, mainly those sold by stores focusing on DRM-free games
 distribution. The goal is that a game installed via ./play.it is
 indistinguishable from a game installed via the official repositories of your
 favourite distribution.
 .
 This specific collection includes only platform games. These games focus on
 navigating through levels, often requiring precise jumps. Some of them may
 include puzzles, time constraints, or action-based combat. Player dexterity is
 expected to play a big part.
