=== debian/watch ===
version=4

opts="pgpmode=next" \
  https://downloads.dotslashplay.it/games-collections/platform/ \
  (?:.*/)45_platform_@ANY_VERSION@@ARCHIVE_EXT@

opts="pgpmode=previous" \
  https://downloads.dotslashplay.it/games-collections/platform/ \
  (?:.*/)45_platform_@ANY_VERSION@@SIGNATURE_EXT@ \
  previous
