## play.it-platform 2025-11-25

=== debian/changelog ===
play.it-platform (2025-11-25-3) unstable; urgency=medium

  * Orphan the package.

 -- Antoine Le Gonidec <vv221@debian.org>  Sun, 15 Feb 2026 14:51:12 +0100

play.it-platform (2025-11-25-2) unstable; urgency=medium

  * Add an explicit copyright notice for Debian packaging files.
  * Update URL to canonical packaging repository.

 -- Antoine Le Gonidec <vv221@debian.org>  Thu, 29 Jan 2026 22:36:47 +0100

play.it-platform (2025-11-25-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop obsolete Rules-Requires-Root field.

 -- Antoine Le Gonidec <vv221@debian.org>  Tue, 25 Nov 2025 19:51:48 +0100

play.it-platform (2025-07-01-2) unstable; urgency=medium

  * Drop obsolete field Priority.
  * Update Uploader e-mail.
  * Update debian/watch to version 5.

 -- Antoine Le Gonidec <vv221@debian.org>  Sun, 23 Nov 2025 20:50:21 +0100
