=== debian/control ===
--- 
+++ 
@@ -1,18 +1,15 @@
 Source: play.it-platform
 Section: contrib/games
-Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders:
- Antoine Le Gonidec <debian@vv221.fr>,
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Standards-Version: 4.7.2
+Homepage: https://git.dotslashplay.it/games-platform/about/
+Vcs-Browser: https://salsa.debian.org/games-team/play.it-platform/
+Vcs-Git: https://salsa.debian.org/games-team/play.it-platform.git
 Build-Depends:
  debhelper-compat (= 13),
  play.it <!nocheck>,
  shellcheck <!nocheck>,
-Standards-Version: 4.7.2
-Homepage: https://git.dotslashplay.it/games-platform/about/
-Vcs-Git: https://salsa.debian.org/games-team/play.it-platform.git
-Vcs-Browser: https://salsa.debian.org/games-team/play.it-platform
-Rules-Requires-Root: no
 
 Package: play.it-platform
 Architecture: all
