=== debian/watch ===
Version: 5

Source: https://downloads.dotslashplay.it/games-collections/platform/
Matching-Pattern: 45_platform_@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s%$%.asc%
